Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface SecurityConfigurationMBean

public interface SecurityConfigurationMBean
extends ConfigurationMBean

Provides domain-wide security configuration information.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static java.lang.String` | `REALM_BOOTSTRAP_VERSION_1`
`static java.lang.String` | `REALM_BOOTSTRAP_VERSION_CURRENT`
`static java.lang.String` | `REALM_BOOTSTRAP_VERSION_UNKNOWN`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`RealmMBean` | `findDefaultRealm()` Finds the default security realm.
`RealmMBean` | `findRealm(java.lang.String realmName)` Finds the default realm by name (that is, by the display name of the realm).
`RealmMBean[]` | `findRealms()` Finds all configured realms.
`java.lang.String` | `getRealmBootStrapVersion()` Specifies which version of the default security realm mbeans should be loaded if none exist.
`java.lang.String` | `getWebAppFilesCaseInsensitive()` This property defines the case sensitive url-pattern matching behavior for security-constraints, servlets, filters, virtual-hosts etc in the webapp container and external security policies.
`boolean` | `isAnonymousAdminLookupEnabled()` Returns true if anonymous JNDI access for Admin MBean home is permitted.
`void` | `setAnonymousAdminLookupEnabled(boolean permit)` Permits anonymous JNDI access to get the Admin MBean home.
`void` | `setCredential(java.lang.String credential)` As of 8.1 sp4, this method does the following:
`void` | `setCredentialEncrypted(byte[] bytes)` Encrypts and sets the value of the CredentialEncrypted attribute.
`void` | `setCredentialGenerated(boolean disable)` Sets the credentialGenerated attribute of the SecurityConfigurationMBean object
`void` | `setRealmBootStrapVersion(java.lang.String version)` Sets the realmBootStrapVersion attribute of the SecurityConfigurationMBean object
`void` | `setWebAppFilesCaseInsensitive(java.lang.String caseInsensitive)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### REALM_BOOTSTRAP_VERSION_UNKNOWN

    public static final java.lang.String REALM_BOOTSTRAP_VERSION_UNKNOWN

### REALM_BOOTSTRAP_VERSION_1

    public static final java.lang.String REALM_BOOTSTRAP_VERSION_1

### REALM_BOOTSTRAP_VERSION_CURRENT

    public static final java.lang.String REALM_BOOTSTRAP_VERSION_CURRENT

Method Detail

### findRealms

    public RealmMBean[] findRealms()

  Finds all configured realms.

  Returns:

### findDefaultRealm

    public RealmMBean findDefaultRealm()

  Finds the default security realm. Returns null if a security realm is not defined. Throws a configuration error if there are multiple matches.

  Returns:

### findRealm

    public RealmMBean findRealm(java.lang.String realmName)

  Finds the default realm by name (that is, by the display name of the realm). Returns null if a security realm is not define. Throws a configuration error if there are multiple matches.

  Parameters:
    `realmName` -
  Returns:

### setCredentialGenerated

    public void setCredentialGenerated(boolean disable)

  Sets the credentialGenerated attribute of the SecurityConfigurationMBean object

  Parameters:
    `disable` - The new credentialGenerated value

### setAnonymousAdminLookupEnabled

    public void setAnonymousAdminLookupEnabled(boolean permit)

  Permits anonymous JNDI access to get the Admin MBean home.

  Parameters:
    `permit` - The new value.

### isAnonymousAdminLookupEnabled

    public boolean isAnonymousAdminLookupEnabled()

  Returns true if anonymous JNDI access for Admin MBean home is permitted. This is overridden by the java property -Dweblogic.management.anonymousAdminLookupEnabled.

  Default Value: false
  Returns:
    true if anonymous access is allowed, false otherwise

### setCredential

    public void setCredential(java.lang.String credential)
                       throws javax.management.InvalidAttributeValueException

  As of 8.1 sp4, this method does the following:

  1. Encrypts the parameter value.
  2. Sets the value of the `CredentialEncrypted` attribute to the encrypted parameter value.

  A non-configurable MBean attribute.
  Parameters:
    `credential` - The new credential value
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `setCredentialEncrypted(byte[] bytes)`

### setCredentialEncrypted

    public void setCredentialEncrypted(byte[] bytes)
                                throws javax.management.InvalidAttributeValueException

  Encrypts and sets the value of the CredentialEncrypted attribute.

  Parameters:
    `bytes` - The new credential value as a byte array.
  Throws:
    javax.management.InvalidAttributeValueException -
  See Also:
    `getCredentialEncrypted()`

### getWebAppFilesCaseInsensitive

    public java.lang.String getWebAppFilesCaseInsensitive()

  This property defines the case sensitive url-pattern matching behavior for security-constraints, servlets, filters, virtual-hosts etc in the webapp container and external security policies. When the value is set to "os", the pattern matching will be case sensitive on all platforms except windows file system. Note that WebLogic doesn't enforce case sensitivity while fetching the file from the disk and rely on the file system for performance reasons So if you have a Windows Samba mount from UNIX or Mac OS that have been installed in case-insensitive mode) there is a chance of security risk. If that is the case, please specify case insensitive lookups by setting this attribute to `true`. Note that Setting this attribute to `false` in windows can serve the contents of jsp.

  Default Value: "os"
  Legal Values: "os", "true", "false"

### setWebAppFilesCaseInsensitive

    public void setWebAppFilesCaseInsensitive(java.lang.String caseInsensitive)
                                       throws javax.management.InvalidAttributeValueException

### getRealmBootStrapVersion

    public java.lang.String getRealmBootStrapVersion()

  Specifies which version of the default security realm mbeans should be loaded if none exist. Gets set to current version on first read if it hasn't been set already.

  A configurable MBean attribute
  Default Value: REALM_BOOTSTRAP_VERSION_UNKNOWN
  Legal Values: REALM_BOOTSTRAP_VERSION_UNKNOWN, REALM_BOOTSTRAP_VERSION_1
  Returns:
    The realmBootStrapVersion value

### setRealmBootStrapVersion

    public void setRealmBootStrapVersion(java.lang.String version)

  Sets the realmBootStrapVersion attribute of the SecurityConfigurationMBean object

  Parameters:
    `version` - The new realmBootStrapVersion value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD